﻿html, body {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    margin: 0;
    background-color: #EEEEEE;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin-left: 20px;
    position: relative; /*to allow children to use absolute position relative to this*/
}

.maintable table {
    position: relative; /*to allow children to use absolute position relative to this*/
    /*    border: 5px solid red; for layout testing
*/
}

.stoodletitle {
    font-size:16px;
}

table.keypad  {
    border-spacing: 2px;
/*    background-color: #DDDDDD;
*/    touch-action: manipulation;
    color: black;
}
.keypad td {
    width: 38px;
    height: 46px;
    background-color: white;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    padding: 2px;
    touch-action: manipulation;
    color: black;
    border: 1px solid darkgray;
    border-radius: 0px;
}

table.wordle{
    border-spacing:3px;
}

.wordle td {
    width: 60px;
    height: 60px;
    background-color: white;
    font-weight: bold;
    text-align: center;
    padding: 0px;
    font-size: 32px;
    color: black;
    border: 1px solid darkgray;
    border-radius: 0px;
}


.chat {
    width: 400px;
    height: 428px;
    background-color: #EEEEEE;
    color: black;
    font-weight: normal;
    font-size: 15px;
    text-align: left;
    padding: 3px;
    overflow-y: auto;
    overflow-wrap: break-word;
    border: 2px solid gray;
}

.chatcol1 {
    padding: 5px;
/*    border: 1px solid gray;
*/    background-color: #DDDDDD;
    color: black;
/*    font-size: large;
*/    width: 15%;
}

.chatcol2 {
    padding: 5px;
    border-top: 1px solid lightgray;
    background-color: #EEEEEE;
    color: black;
/*    font-size: large;
*/    width: 85%;
}

.chathidden {
    padding: 5px;
    border-top: 1px solid lightgray;
    background-color: #EEEEEE;
    color: gray;
/*    font-size: large;
*/    width: 85%;
}

.chatsmall {
    padding: 2px;
    background-color: #EEEEEE;
    color: gray;
    font-size: 11px;
    text-align: right;
    vertical-align:top;
    border-bottom: 1px solid lightgray;
}



.gametypeon {
    display: inline-block; /*required for width property*/
    width: 80px;
    padding: 4px;
    background-color: steelblue;
    border: 3px solid steelblue;
    border-radius: 16px;
    color: white;
    text-align: center;
}


.gametypeoff {
    display: inline-block; /*required for width property*/
    width: 80px;
    padding: 4px;
    border: 3px solid lightsteelblue;
    border-radius: 16px;
    color: #444444;
    background-color: #F8F8F8;
    text-align:center;
}

.submitbtn {
    display: inline-block; /*required for width property*/
    width: 110px;
    line-height: 22px;
    padding: 2px;
    background-color: steelblue;
    border: 2px solid steelblue;
    border-radius: 14px;
    color: white;
    font-size: 14px;
}

.difficultyon {
    display: inline-block; /*required for width property*/
    width: 80px;
    line-height: 28px;
    padding: 2px;
    background-color: steelblue;
    border: 3px solid steelblue;
    border-radius: 18px;
    color: white;
    font-size: 16px;
}

.difficultyoff {
    display: inline-block; /*required for width property*/
    width: 80px;
    line-height: 28px;
    padding: 2px;
    border: 3px solid lightsteelblue;
    border-radius: 18px;
    color: #444444;
    font-size: 16px;
    background-color: #F8F8F8;
}

.puzzleoff {
    display: inline-block; /*required for width property*/
    width: 40px;
    line-height: 28px;
    padding: 2px;
    border: 3px solid lightsteelblue;
    border-radius: 18px;
    color: #444444;
    font-size: 12px;
    background-color: #F8F8F8;
}

.settingson {
    display: inline-block; /*required for width property*/
    width: 40px;
    line-height: 18px;
    padding: 2px;
    background-color: steelblue;
    border: 3px solid steelblue;
    border-radius: 18px;
    color: white;
    font-size: 12px;
}

.settingsoff {
    display: inline-block; /*required for width property*/
    width: 40px;
    line-height: 18px;
    padding: 2px;
    border: 3px solid lightsteelblue;
    border-radius: 18px;
    color: #444444;
    font-size: 12px;
    background-color: #F8F8F8;
}

.wordlesmall td {
    width: 40px;
    height: 40px;
    background-color: #EEEEEE;
    font-weight: bold;
    text-align: center;
    padding: 2px;
    color: black;
}
.sButton {
    font-size: 14px;
    color: black;
    margin-left: 0.3em;
    border: 1px solid #a1a1a1;
    padding: 4px 4px;
    background: #F8F8F8;
    border-radius: 5px;
    cursor: pointer;
}

.sButtonSmall {
    font-size: 12px;
    color: black;
    margin-left: 0.3em;
    margin-bottom: 6px;
    border: 2px solid #a1a1a1;
    padding: 3px 3px;
    background: #dddddd;
    border-radius: 5px;
    cursor: pointer;
}

.sButtonSmalloff {
    font-size: 12px;
    color: grey;
    margin-left: 0.3em;
    margin-bottom: 6px;
    border: 1px solid #a1a1a1;
    padding: 3px 3px;
    background: #dddddd;
    border-radius: 5px;
    cursor: pointer;
}

.sButtonoff {
    font-size: 14px;
    color: grey;
    margin-left: 0.3em;
    border: 1px solid #a1a1a1;
    padding: 4px 4px;
    background: #dddddd;
    border-radius: 5px;
    cursor: pointer;
}

div.analysis {
    position: fixed;
    top: 10px;
    left: 10px;
    border: 3px solid black;
    opacity: 0.95;
    /*    color: #DDDDDD;
*/ background-color: white;
    padding: 0px 10px 20px 10px;
    font-family: Lucida Console;
    font-size: 20px;
    color: black;
}

.analysisWord {
    color:darkred;
    font-weight:500;
}

.analysisWordOff {
    color: black;
    font-weight:normal;
}

.mastermindright{
    padding: 0px;
    margin: 0px;
    border-collapse: collapse;
    
}
.mastermindright td {
  height: 40px;
}



.right td {
    width: 60px;
    height: 59px;
    background-color: white;
    font-weight: bold;
    font-size: 32px;
    text-align: center;
    padding: 3px;
}

.puzzlerow {
    outline: 3px groove gray;
}

.currentdate{
    font-size:18px;
    font-weight:bolder;
    text-align:center;
    border:none;
    cursor:pointer;
    background-color:#EEEEEE; 

}

.hovermsg {
    display: inline-block;
    visibility: hidden;
    position: fixed;
    top: 200px;
    left: 152px;
    background-color: black;
    color: white;
    font-size: 30px;
    line-height: 40px; /* allows vertical align, height doesn't*/
    vertical-align: middle;
    
    opacity: 0;
    transition: visibility 0s 2s, opacity .3s linear;
}

.hovermsgshow {
    display: inline-block;
    visibility: visible;
    
    opacity: 1;
    transition: opacity .01s linear;
}

.puzzlesolver {
    font-size:24px;
}

.puzzleselect {
    line-height: 128px; /* allows vertical align, height doesn't*/
    vertical-align: middle;
    background-color: #EEEEEE !important;
}